@import '../../../../styles/colors.scss';
@import '../../../../styles/responsive.scss';
@import '../../../../styles/sizes.scss';
@import '../../../../styles/fonts.scss';
.skills {
    background-color: $primarycolor;
    min-height: 90vh;
    margin-top: -1px;
    &__title {
        margin: $nomargin;
        padding: 60px 0 0 0;
        font-family: $titlefont;
        font-size: $titlesize;
        text-align: center;
    }
    &__list {
        padding: 40px;
        margin: 0 auto;
        list-style: none;
        @include tablet {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            flex-wrap: wrap;
        }
        @include desktop {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            flex-wrap: wrap;
        }
        &-item {
            border: 2px solid $secondaycolor;
            border-radius: 2%;
            padding: 50px 20px;
            margin-bottom: 20px;
            @include tablet {
                width: 40%;
                margin-right: 20px;
            }
            @include desktop {
                width: 19%;
                margin-right: 20px;
            }
            &__img {
                display: block;
                margin: 0 auto;
                width: 17%;
                background-color: #9EA5AB;
                border-radius: 20%;
                padding: 10px;
            }
            &__title {
                margin: $nomargin;
                padding: 20px 0;
                text-align: center;
                font-family: $titlefont;
                font-size: 25px;
            }
            &__description {
                margin: $nomargin;
                text-align: center;
                font-family: $bodyfont;
                font-size: 15px;
            }
        }
    }
    .go-back {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        padding: 0 0 40px 0;
        &__arrow {
            font-size: 20px;
            padding: 0 10px;
            &:hover {
                color: $primarycolor;
                cursor: crosshair;
            }
        }
        &__button {
            border: 0;
            background-color: transparent;
            font-weight: 700;
            padding: 0;
            font-size: 20px;
            &:hover {
                color: $primarycolor;
                cursor: crosshair;
            }
        }
    }
}

// Animation
.fade-in {
    animation: fadeIn ease 5s;
    -webkit-animation: fadeIn ease 5s;
    -moz-animation: fadeIn ease 5s;
    -o-animation: fadeIn ease 5s;
    -ms-animation: fadeIn ease 5s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-moz-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-o-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-ms-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}